MySQL Forums
Forum List  »  Router & Proxy

How is Install mysql-workbench-gpl-5.2.26 on CentOS 5.5
Posted by: lilan wijesiriwaedane
Date: August 08, 2010 01:44AM

Hi,

I'm new to the Linux environment and I'm trying to install mysql-workbench-gpl-5.2.26 on CentOS 5.5 which gives loads of missing dependencies.

below is the error that i get.

[root@PC28 Linux]# yum install mysql-workbench-gpl-5.2.25-1el6.i386.rpm
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* addons: centos.01link.hk
* base: centos.01link.hk
* extras: centos.01link.hk
* rpmforge: apt.sw.be
* updates: centos.01link.hk
Setting up Install Process
Examining mysql-workbench-gpl-5.2.25-1el6.i386.rpm: mysql-workbench-gpl-5.2.25-1el6.i386
Marking mysql-workbench-gpl-5.2.25-1el6.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package mysql-workbench-gpl.i386 0:5.2.25-1el6 set to be updated
--> Processing Dependency: libatkmm-1.6.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: libcairomm-1.0.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: libcrypto.so.10 for package: mysql-workbench-gpl
--> Processing Dependency: libgdkmm-2.4.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: libgio-2.0.so.0 for package: mysql-workbench-gpl
--> Processing Dependency: libgiomm-2.4.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: libglibmm-2.4.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: libgtkmm-2.4.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: liblua-5.1.so for package: mysql-workbench-gpl
--> Processing Dependency: libmysqlclient_r.so.16 for package: mysql-workbench-gpl
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) for package: mysql-workbench-gpl
--> Processing Dependency: libpangomm-1.4.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: libpython2.6.so.1.0 for package: mysql-workbench-gpl
--> Processing Dependency: libsigc-2.0.so.0 for package: mysql-workbench-gpl
--> Processing Dependency: libssl.so.10 for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.10) for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.11) for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) for package: mysql-workbench-gpl
--> Processing Dependency: libuuid.so.1(UUID_1.0) for package: mysql-workbench-gpl
--> Processing Dependency: libxml2.so.2(LIBXML2_2.4.30) for package: mysql-workbench-gpl
--> Processing Dependency: libxml2.so.2(LIBXML2_2.6.0) for package: mysql-workbench-gpl
--> Processing Dependency: pexpect for package: mysql-workbench-gpl
--> Processing Dependency: python-paramiko for package: mysql-workbench-gpl
--> Running transaction check
---> Package cairomm.i386 0:1.2.4-2.1.el5.rf set to be updated
---> Package glibmm24.i386 0:2.12.8-1.el5.rf set to be updated
---> Package gtkmm24.i386 0:2.10.9-1.el5.rf set to be updated
---> Package libsigc++20.i386 0:2.0.17-1.el5.rf set to be updated
---> Package mysql-workbench-gpl.i386 0:5.2.25-1el6 set to be updated
--> Processing Dependency: libcrypto.so.10 for package: mysql-workbench-gpl
--> Processing Dependency: libgio-2.0.so.0 for package: mysql-workbench-gpl
--> Processing Dependency: libgiomm-2.4.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: liblua-5.1.so for package: mysql-workbench-gpl
--> Processing Dependency: libmysqlclient_r.so.16 for package: mysql-workbench-gpl
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) for package: mysql-workbench-gpl
--> Processing Dependency: libpython2.6.so.1.0 for package: mysql-workbench-gpl
--> Processing Dependency: libssl.so.10 for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.10) for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.11) for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) for package: mysql-workbench-gpl
--> Processing Dependency: libuuid.so.1(UUID_1.0) for package: mysql-workbench-gpl
--> Processing Dependency: libxml2.so.2(LIBXML2_2.4.30) for package: mysql-workbench-gpl
--> Processing Dependency: libxml2.so.2(LIBXML2_2.6.0) for package: mysql-workbench-gpl
---> Package pexpect.noarch 0:2.3-3.el5 set to be updated
---> Package python-paramiko.noarch 0:1.7.6-1.el5.rf set to be updated
--> Processing Dependency: python-crypto for package: python-paramiko
--> Running transaction check
---> Package mysql-workbench-gpl.i386 0:5.2.25-1el6 set to be updated
--> Processing Dependency: libcrypto.so.10 for package: mysql-workbench-gpl
--> Processing Dependency: libgio-2.0.so.0 for package: mysql-workbench-gpl
--> Processing Dependency: libgiomm-2.4.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: liblua-5.1.so for package: mysql-workbench-gpl
--> Processing Dependency: libmysqlclient_r.so.16 for package: mysql-workbench-gpl
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) for package: mysql-workbench-gpl
--> Processing Dependency: libpython2.6.so.1.0 for package: mysql-workbench-gpl
--> Processing Dependency: libssl.so.10 for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.10) for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.11) for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) for package: mysql-workbench-gpl
--> Processing Dependency: libuuid.so.1(UUID_1.0) for package: mysql-workbench-gpl
--> Processing Dependency: libxml2.so.2(LIBXML2_2.4.30) for package: mysql-workbench-gpl
--> Processing Dependency: libxml2.so.2(LIBXML2_2.6.0) for package: mysql-workbench-gpl
---> Package python-crypto.i386 0:2.0.1-1.el5.rf set to be updated
--> Processing Dependency: libgmp.so.3 for package: python-crypto
--> Running transaction check
---> Package gmp.i386 0:4.1.4-10.el5 set to be updated
---> Package mysql-workbench-gpl.i386 0:5.2.25-1el6 set to be updated
--> Processing Dependency: libcrypto.so.10 for package: mysql-workbench-gpl
--> Processing Dependency: libgio-2.0.so.0 for package: mysql-workbench-gpl
--> Processing Dependency: libgiomm-2.4.so.1 for package: mysql-workbench-gpl
--> Processing Dependency: liblua-5.1.so for package: mysql-workbench-gpl
--> Processing Dependency: libmysqlclient_r.so.16 for package: mysql-workbench-gpl
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) for package: mysql-workbench-gpl
--> Processing Dependency: libpython2.6.so.1.0 for package: mysql-workbench-gpl
--> Processing Dependency: libssl.so.10 for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.10) for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.11) for package: mysql-workbench-gpl
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) for package: mysql-workbench-gpl
--> Processing Dependency: libuuid.so.1(UUID_1.0) for package: mysql-workbench-gpl
--> Processing Dependency: libxml2.so.2(LIBXML2_2.4.30) for package: mysql-workbench-gpl
--> Processing Dependency: libxml2.so.2(LIBXML2_2.6.0) for package: mysql-workbench-gpl
--> Finished Dependency Resolution
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libssl.so.10 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libgiomm-2.4.so.1 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libgio-2.0.so.0 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: liblua-5.1.so is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.11) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.10) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libxml2.so.2(LIBXML2_2.6.0) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libpython2.6.so.1.0 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libcrypto.so.10 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libuuid.so.1(UUID_1.0) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libmysqlclient_r.so.16 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libxml2.so.2(LIBXML2_2.4.30) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
mysql-workbench-gpl-5.2.25-1el6.i386 from /mysql-workbench-gpl-5.2.25-1el6.i386 has depsolving problems
--> Missing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libpython2.6.so.1.0 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.10) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libgiomm-2.4.so.1 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libmysqlclient_r.so.16 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libxml2.so.2(LIBXML2_2.4.30) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libgio-2.0.so.0 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libuuid.so.1(UUID_1.0) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.11) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: liblua-5.1.so is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libxml2.so.2(LIBXML2_2.6.0) is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libssl.so.10 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
Error: Missing Dependency: libcrypto.so.10 is needed by package mysql-workbench-gpl-5.2.25-1el6.i386 (/mysql-workbench-gpl-5.2.25-1el6.i386)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest


If anyone knows to overcome this issue, please let me know.

Thanks

Options: ReplyQuote


Subject
Views
Written By
Posted
How is Install mysql-workbench-gpl-5.2.26 on CentOS 5.5
27039
August 08, 2010 01:44AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.